Bug 1121616 - [RFE] a "don't ask again" checkbox for confirmation dialogs
Summary: [RFE] a "don't ask again" checkbox for confirmation dialogs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Oved Ourfali
QA Contact: Shai Revivo
URL:
Whiteboard: ux
Depends On:
Blocks: 655153 1148034 1251468
TreeView+ depends on / blocked
 
Reported: 2014-07-21 11:46 UTC by Michal Skrivanek
Modified: 2016-01-20 06:56 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-20 06:56:34 UTC
oVirt Team: UX
sherold: Triaged+


Attachments (Terms of Use)

Description Michal Skrivanek 2014-07-21 11:46:07 UTC
generic support for checkbox with "do not ask again" for trivial
confirmation dialogs. There are several requests throughout the UI to add an
extra confirmation, but if we do that it will become too annoying for
frequent users. A checkbox would be a good solution, with some additional
dialog listing all the remembered answers and reset them. I think we should
be fine with html5-storage client-side persistence only

Comment 1 Einav Cohen 2014-07-21 12:55:56 UTC
personally, I am opposed to this type of change; most confirmation dialogs are there in order to prevent a destructive (to a certain extent) operation in case the user did it by mistake or similar. 

in my OS, for example, when I "shift-delete" something (to remove it permanently), I am getting an 'are you sure' confirmation dialog without an option for "do not ask me again". 

IMO, a "do not ask/show again" is more relevant for all sorts of "tip of the day" pop-ups that are displayed once you login/start an application, and similar. not for potentially destructive operations. 

putting a UserExperience keyword, will be further discussed.

Comment 2 Michal Skrivanek 2014-07-21 12:58:31 UTC
(In reply to Einav Cohen from comment #1)
> personally, I am opposed to this type of change; most confirmation dialogs
> are there in order to prevent a destructive (to a certain extent) operation
> in case the user did it by mistake or similar. 

one of the reason is that we are deliberately not adding confirmation dialogs (despite being asked so) for non-destructive actions exactly because of the concern that it would be too annoying for advanced users. So it's a prerequisite in fact

Comment 3 Liz 2014-07-28 18:45:59 UTC
It sounds to me like we need to be sure to understand which actions should be considered destructive. I'd agree with Einav in that any destructive action should absolutely have a confirmation dialog.

Are there specific actions or use cases in which users have complained about needing to confirm too many actions? We should reconsider these actions rather than allow for users to dismiss these messages all together in my opinion.

Best,
Liz

Comment 4 Einav Cohen 2014-07-29 17:44:33 UTC
(In reply to Liz from comment #3)
>...
> Are there specific actions or use cases in which users have complained about
> needing to confirm too many actions? 
> ...

Scott?

Comment 5 Yaniv Lavi 2015-03-08 14:21:08 UTC
(In reply to Einav Cohen from comment #4)
> (In reply to Liz from comment #3)
> >...
> > Are there specific actions or use cases in which users have complained about
> > needing to confirm too many actions? 
> > ...
> 
> Scott?

As Michal asked for this and we have no customer tickets on this, adding needinfo to Michal. 

In general I think a good option would be to allow disabling all confirmation boxes individually, but allowing only non-destructive ones to be done in the box itself with 'do not ask again' check box and all other via config file that only advance user will use, if he looks for this option. It's a nice to have and consider at some point.

Comment 6 Michal Skrivanek 2015-03-09 08:16:27 UTC
(In reply to Yaniv Dary from comment #5)
> (In reply to Einav Cohen from comment #4)
> > (In reply to Liz from comment #3)
> > >...
> > > Are there specific actions or use cases in which users have complained about
> > > needing to confirm too many actions?
> > > ...
> > 
> > Scott?
> 
> As Michal asked for this and we have no customer tickets on this, adding
> needinfo to Michal. 

this is coming from customers; the feature is needed so we can implement the requests for additional confirmation dialogs for various tasks. This is coming up in the past cca 2 years for random acions but we don't want to add more dialogs without the ability to not show it again since what's useful for one customer would be annoying for another.

 
> In general I think a good option would be to allow disabling all
> confirmation boxes individually, but allowing only non-destructive ones to
> be done in the box itself with 'do not ask again' check box and all other
> via config file that only advance user will use, if he looks for this
> option. It's a nice to have and consider at some point.

what's destructive and what not might be highly subjective. Depending on the use of the system e.g. removing VM is a destructive thing..but for testing when you remove tens of VMs a day not so much...(though for VM we have delete protection;-)

Comment 7 Michal Skrivanek 2015-04-20 13:32:03 UTC
another annoying occurrence is in user portal while opening VM console when the guest agent is not running. There's a warning dialog "Could not connect to the agent on the guest, it may be unresponsive...", after dismissing the dialog the console continues to open


Note You need to log in before you can comment on or make changes to this bug.